summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorConrad Kostecki <conikost@gentoo.org>2021-02-14 20:45:56 +0100
committerConrad Kostecki <conikost@gentoo.org>2021-02-14 20:47:04 +0100
commit5b38ee8430a925452ef2364c484d9992db05fcdd (patch)
treefb32a92587e2b2f7fd7938e88e809c4967fb8893 /app-misc/logiops/files
parentx11-terms/xterm: Stabilize 366 arm64, #769839 (diff)
downloadgentoo-5b38ee8430a925452ef2364c484d9992db05fcdd.tar.gz
gentoo-5b38ee8430a925452ef2364c484d9992db05fcdd.tar.bz2
gentoo-5b38ee8430a925452ef2364c484d9992db05fcdd.zip
app-misc/logiops: new ebuild
An unofficial userspace driver for HID++ Logitech devices. This userspace driver provides for various Logitech mice additional functions, which won't work without this one. Closes: https://bugs.gentoo.org/747442 Package-Manager: Portage-3.0.14, Repoman-3.0.2 Signed-off-by: Conrad Kostecki <conikost@gentoo.org>
Diffstat (limited to 'app-misc/logiops/files')
-rw-r--r--app-misc/logiops/files/logid.initd19
1 files changed, 19 insertions, 0 deletions
diff --git a/app-misc/logiops/files/logid.initd b/app-misc/logiops/files/logid.initd
new file mode 100644
index 000000000000..3c852c6e4397
--- /dev/null
+++ b/app-misc/logiops/files/logid.initd
@@ -0,0 +1,19 @@
+#!/sbin/openrc-run
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+logid_config="/etc/logid.cfg"
+name="Logitech Configuration Daemon"
+pidfile="${RC_PREFIX}/run/logid.pid"
+
+command="${RC_PREFIX}/usr/bin/logid"
+command_background="true"
+command_args="-c ${logid_config}"
+
+start_pre() {
+ if [ ! -f "${logid_config}" ]; then
+ eerror "The file '${logid_config}' could not be found!"
+ eerror "Please create one before you start the daemon."
+ exit 1
+ fi
+}